---
title: "rclone genautocomplete fish"
description: "Output fish completion script for rclone."
slug: rclone_genautocomplete_fish
url: /commands/rclone_genautocomplete_fish/
# autogenerated - DO NOT EDIT, instead edit the source code in cmd/genautocomplete/fish/ and as part of making a release run "make commanddocs"
---
# rclone genautocomplete fish

Output fish completion script for rclone.

## Synopsis


Generates a fish autocompletion script for rclone.

This writes to /etc/fish/completions/rclone.fish by default so will
probably need to be run with sudo or as root, e.g.

    sudo rclone genautocomplete fish

Logout and login again to use the autocompletion scripts, or source
them directly

    . /etc/fish/completions/rclone.fish

If you supply a command line argument the script will be written
there.

If output_file is "-", then the output will be written to stdout.


```
rclone genautocomplete fish [output_file] [flags]
```

## Options

```
  -h, --help   help for fish
```

See the [global flags page](/flags/) for global options not listed here.

## SEE ALSO

* [rclone genautocomplete](/commands/rclone_genautocomplete/)	 - Output completion script for a given shell.

